import { BrowserModule } from '@angular/platform-browser';
import { NgModule, Injector } from '@angular/core';
import { createCustomElement } from '@angular/elements';
import { NgxFooterComponent } from './ngx-footer.component';

@NgModule({
  declarations: [ NgxFooterComponent ],
  imports: [
    BrowserModule
  ],
  entryComponents: [ NgxFooterComponent ]
})
export class NgxFooterModule {
  constructor(private injector: Injector) {
    const customElement = createCustomElement(NgxFooterComponent, { injector: this.injector });
    customElements.define('ngx-footer', customElement);
  }

  ngDoBootstrap() {}
}
